uniq(1)

NAME
uniq - Report or omit repeated lines.

SYNOPSIS
uniq [-D|--all-repeated] [--group] [-w|--check-chars] [-c|--count] [-i|--ignore-case] [-d|--repeated] [-s|--skip-chars] [-f|--skip-fields] [-u|--unique] [-z|--zero-terminated] [-h|--help] [-V|--version] [files]

DESCRIPTION
Report or omit repeated lines.

OPTIONS

-D, --all-repeated[=<delimit-method>]
    print all duplicate lines. Delimiting is done with blank lines. [default: none]
    [possible values: none, prepend, separate]

--group[=<group-method>]
    show all items, separating groups with an empty line. [default: separate]
    [possible values: separate, prepend, append, both]

-w, --check-chars <N>
    compare no more than N characters in lines

-c, --count
    prefix lines by the number of occurrences

-i, --ignore-case
    ignore differences in case when comparing

-d, --repeated
    only print duplicate lines

-s, --skip-chars <N>
    avoid comparing the first N characters

-f, --skip-fields <N>
    avoid comparing the first N fields

-u, --unique
    only print unique lines

-z, --zero-terminated
    end lines with 0 byte, not newline

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Display each line once: sort {{path/to/file}} | uniq Display only unique lines: sort {{path/to/file}} | uniq {{[-u|--unique]}} Display only duplicate lines: sort {{path/to/file}} | uniq {{[-d|--repeated]}} Display number of occurrences of each line along with that line: sort {{path/to/file}} | uniq {{[-c|--count]}} Display number of occurrences of each line, sorted by the most frequent: sort {{path/to/file}} | uniq {{[-c|--count]}} | sort {{[-nr|--numeric-sort --reverse]}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.6.0